## Update a set `PUT https://getkollek.com/api/sets/{set}` Update the name and description of a set. **Permissions:** Owners and editors. Viewers get a 404 response. ### Path parameters - `set` (integer, required): The ID of the set. ### Body parameters - `name` (string, required): The name of the set. Maximum 255 characters. - `description` (string, optional): A free text description of the set. Maximum 2000 characters. **Returns:** The updated set object. ### Example request ```bash curl https://getkollek.com/api/sets/1 \ -X PUT \ -H "Authorization: Bearer $API_KEY" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "name": "Amazing Spider-Man #1-10", "description": "The first ten issues of the run." }' ``` ### Example response `Status: 200` ```json { "data": { "type": "set", "id": "1", "attributes": { "name": "Amazing Spider-Man #1-10", "description": "The first ten issues of the run.", "created_at": 1752537600, "updated_at": 1752537600 }, "links": { "self": "https://getkollek.com/api/sets/1" } } } ```